﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using fenykepalbum_4_2.AspNetCore.NewDb.Models;

namespace fenykepalbum_4_2.Migrations
{
    [DbContext(typeof(fenykepContext))]
    [Migration("20190704120052_initial")]
    partial class initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("fenykepalbum_4_2.AspNetCore.NewDb.Models.Kepek", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Filenev");

                    b.Property<string>("Holkeszult");

                    b.Property<string>("Leiras");

                    b.Property<DateTime>("Mikor");

                    b.HasKey("Id");

                    b.ToTable("Kepek");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Filenev = "WP_20150531_15_50_32_Pro.jpg",
                            Holkeszult = "Lednice",
                            Leiras = "Kastély park, tó",
                            Mikor = new DateTime(2015, 5, 31, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = 2,
                            Filenev = "WP_20150531_16_01_58_Pro.jpg",
                            Holkeszult = "Lednice",
                            Leiras = "Kastély park, tó",
                            Mikor = new DateTime(2015, 5, 31, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });
#pragma warning restore 612, 618
        }
    }
}
